package com.kmall.admin.service;

import com.kmall.admin.entity.ThirdMerchantBizEntity;

import java.util.List;
import java.util.Map;

/**
 * 第三方商户表Service接口
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-02-15 11:43:32
 */
public interface ThirdMerchantBizService {

    /**
     * 根据主键查询实体
     *
     * @param thirdMerchSn 主键
     * @return 实体
     */
    ThirdMerchantBizEntity queryObject(Integer thirdMerchSn);

    ThirdMerchantBizEntity getThirdMerchangByCode(String thirdMerchCode);
    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<ThirdMerchantBizEntity> queryList(Map<String, Object> map);

    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存实体
     *
     * @param thirdMerchantBiz 实体
     * @return 保存条数
     */
    int save(ThirdMerchantBizEntity thirdMerchantBiz);

    /**
     * 根据主键更新实体
     *
     * @param thirdMerchantBiz 实体
     * @return 更新条数
     */
    int update(ThirdMerchantBizEntity thirdMerchantBiz);

    /**
     * 根据主键删除
     *
     * @param thirdMerchSn
     * @return 删除条数
     */
    int delete(Integer thirdMerchSn);

    /**
     * 根据主键批量删除
     *
     * @param thirdMerchSns
     * @return 删除条数
     */
    int deleteBatch(Integer[] thirdMerchSns);
}
